import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { StringWithAggregatesFilterObjectSchema as StringWithAggregatesFilterObjectSchema } from './StringWithAggregatesFilter.schema';
import { StringNullableWithAggregatesFilterObjectSchema as StringNullableWithAggregatesFilterObjectSchema } from './StringNullableWithAggregatesFilter.schema';
import { JsonNullableWithAggregatesFilterObjectSchema as JsonNullableWithAggregatesFilterObjectSchema } from './JsonNullableWithAggregatesFilter.schema'

const twiliosettingsscalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => TwilioSettingsScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => TwilioSettingsScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => TwilioSettingsScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => TwilioSettingsScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => TwilioSettingsScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  accountSid: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  authToken: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  phoneNumber: z.union([z.lazy(() => StringWithAggregatesFilterObjectSchema), z.string()]).optional(),
  greetingMessage: z.union([z.lazy(() => StringNullableWithAggregatesFilterObjectSchema), z.string()]).optional().nullable(),
  templates: z.lazy(() => JsonNullableWithAggregatesFilterObjectSchema).optional()
}).strict();
export const TwilioSettingsScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.TwilioSettingsScalarWhereWithAggregatesInput> = twiliosettingsscalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.TwilioSettingsScalarWhereWithAggregatesInput>;
export const TwilioSettingsScalarWhereWithAggregatesInputObjectZodSchema = twiliosettingsscalarwherewithaggregatesinputSchema;
